using System;
using Stratis.SmartContracts;

public class MemoryConsumingContract : SmartContract
{
    public MemoryConsumingContract(ISmartContractState state) : base(state)
    {
    }

    public int UseTooMuchMemory(int input)
    {
        string testString =
            "[encoded data, 48486 characters]";
        string[] stringArray = new string[input];
        for (int i = 0; i < input; i++)
        {
            stringArray[i] = String.Copy(testString);
        }

        return stringArray.Length;
    }
}